# esp32_BNO08x: BNO08xCbParamVoid Class Reference

Loading...
Searching...
No Matches
BNO08xCbParamVoid Class Reference

`#include <BNO08xCbParamVoid.hpp>`

Inheritance diagram for BNO08xCbParamVoid:
[legend]
Collaboration diagram for BNO08xCbParamVoid:
[legend]

## Public Member Functions

| BNO08xCbParamVoid (std::function< void(void)> cb_fxn, uint8_t rpt_ID)
void | invoke (uint8_t rpt_ID) override
| Invokes contained callback function.
Public Member Functions inherited from BNO08xCbGeneric
virtual | ~BNO08xCbGeneric ()=default

## Private Attributes

std::function< void(void)> | cb_fxn
| Wrapped callback function passed at register_cb().

## Additional Inherited Members

Public Attributes inherited from BNO08xCbGeneric
uint8_t | rpt_ID
Protected Member Functions inherited from BNO08xCbGeneric
| BNO08xCbGeneric (uint8_t rpt_ID)

## Constructor & Destructor Documentation

## BNO08xCbParamVoid()

BNO08xCbParamVoid::BNO08xCbParamVoid | ( | std::function< void(void)> | cb_fxn,
|  | uint8_t | rpt_ID )

inline

## Member Function Documentation

## invoke()

void BNO08xCbParamVoid::invoke | ( | uint8_t | rpt_ID | ) |

inlineoverridevirtual

Invokes contained callback function.

Parameters

  rpt_ID | n/a, not used, kept to maintain same prototype as BNO08xCbParamRptID::invoke()

Returns
  void, nothing to return

Implements BNO08xCbGeneric.

## Member Data Documentation

## cb_fxn

std::function<void(void)> BNO08xCbParamVoid::cb_fxn

private

Wrapped callback function passed at register_cb().

The documentation for this class was generated from the following file:

- include/callback/BNO08xCbParamVoid.hpp